Bug 1811880 - In IPv6 bare metal deployment log in to Kibana dashboard fails with 500 Internal error Get https://fd02::1/.well-known/oauth-authorization-server: dial tcp: lookup fd02:: no such host
Summary: In IPv6 bare metal deployment log in to Kibana dashboard fails with 500 Inter...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.4.0
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks: 1771572
TreeView+ depends on / blocked
 
Reported: 2020-03-10 02:56 UTC by Marius Cornea
Modified: 2020-03-16 13:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-12 21:16:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Marius Cornea 2020-03-10 02:56:41 UTC
Description of problem:

In IPv6 bare metal deployment log in to Kibana dashboard fails with 500 Internal error Get https://fd02::1/.well-known/oauth-authorization-server: dial tcp: lookup fd02:: no such host

Version-Release number of selected component (if applicable):
4.3.0-0.nightly-2020-03-09-172027 with elasticsearch-operator.4.3.1-202002032140

How reproducible:
100%

Steps to Reproduce:
1. Deploy bare metal IPI setup with IPv6 control plane
2. Follow deployment procedure @ https://access.redhat.com/documentation/en-us/openshift_container_platform/4.3/html-single/logging/index#cluster-logging-deploying
3. Reach the Kibana route

Actual results:
500 Internal Error
Get https://fd02::1/.well-known/oauth-authorization-server: dial tcp: lookup fd02:: no such host

Expected results:
IPv6 address should be wrapped in square brackets

Additional info:
The same issue was solved for Grafana in BZ#1798195

Comment 1 Jeff Cantrill 2020-03-12 14:48:39 UTC
Please provide the pod yaml for Kibana.  The fix referenced in BZ#1798195 was against the oauth-proxy which is the same proxy that fronts Kibana.  This would be resolvable by using the same proxy image.

Comment 2 Jeff Cantrill 2020-03-12 14:56:48 UTC
Following the errata from the referenced bug would indicate oauth-proxy-container-v4.3.5-202003020549 image would resolve this issue.

Comment 3 Marius Cornea 2020-03-12 21:16:41 UTC
Not sure what happened but I tried reproducing the issue with a newer build and I couldn't. This is the version where it works fine - 4.3.0-0.nightly-2020-03-12-145437 with elasticsearch-operator.4.3.5-202003020549 and clusterlogging.4.3.5-202003020549.


Note You need to log in before you can comment on or make changes to this bug.